aboutsummaryrefslogtreecommitdiff
path: root/aux/workflow/TODOs.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2021-02-08 21:44:24 -0300
committerEuAndreh <eu@euandre.org>2021-02-08 21:53:31 -0300
commitdd04e676719e18674fac0005ae77b0ebcf9d94b7 (patch)
tree81abc07a3c3abde06c0f009265119cf4383e608b /aux/workflow/TODOs.sh
parentf581328141916e53a4c8999991c82a0e1b723067 (diff)
downloadpackage-repository-dd04e676719e18674fac0005ae77b0ebcf9d94b7.tar.gz
Add aux/ default files
Diffstat (limited to 'aux/workflow/TODOs.sh')
-rwxr-xr-xaux/workflow/TODOs.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/aux/workflow/TODOs.sh b/aux/workflow/TODOs.sh
new file mode 100755
index 0000000..5dbc761
--- /dev/null
+++ b/aux/workflow/TODOs.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -eu
+
+mkdir -p public
+
+export PROJECT_UC="$1"
+export PROJECT="$2"
+export MAILING_LIST="$3"
+
+REGEX='s/^## (TODO|DOING|WAITING|MEETING|INACTIVE|NEXT|CANCELLED|DONE) (.*) \{#(.*?)\}$/## <a href="#\3"><span class="\1">\1<\/span> \2<\/a>\n<span class="header-anchor" id="\3">#\3<\/span>\n/'
+
+envsubst < aux/workflow/preamble.md | \
+ printf '%s\n\n%s' "$(cat -)" "$(perl -pe "$REGEX" TODOs.md)" | \
+ pandoc --toc \
+ --highlight-style pygments \
+ --toc-depth=2 \
+ -s \
+ --metadata title="$PROJECT_UC - TODOs" \
+ --metadata lang=en \
+ -r commonmark \
+ -w html \
+ -H aux/workflow/style.css \
+ > public/TODOs.html